!+ Subroutine to build list of parameters for water droplets.
!
! Method:
!	The coefficients of the parametrization employed are
!	copied into the main array of parameters for water droplets.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE BUILD_PARAMETER_LIST(I_FIT_TYPE
     &   , PARAMETER_LOCAL, CLOUD_PARAMETER_LIST)
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_spec.ucf'
      INCLUDE 'incl/opt_variable.pcf'
      INCLUDE 'incl/cloud_parametrization.pcf'
      INCLUDE 'incl/cloud_parametrization.ncf'
!
!     DUMMY ARGUMENTS
      INTEGER	!, INTENT(IN)
     &     I_FIT_TYPE
!             TYPE OF FIT REQUIRED
      REAL*8	!, INTENT(IN)
     &     PARAMETER_LOCAL(NPD_CLOUD_PARAMETER
     &        , NPD_CLOUD_OPTICAL_VARIABLE)
!             CALCULATED FITTING PARAMETERS
      REAL*8	!, INTENT(OUT)
     &     CLOUD_PARAMETER_LIST(NPD_CLOUD_PARAMETER)
!             ASSEMBLED FINAL LIST
!
!     LOCAL VARIABLES.
      INTEGER
     &     I
!             LOOP VARIABLE
     &   , I_POINTER
!             POINTER IN FULL ARRAY
!
      INCLUDE 'incl/initial.pcf'
      INCLUDE 'incl/cloud_parm_data.dcf'
!
!
      IF ( (I_FIT_TYPE.EQ.IP_SLINGO_SCHRECKER)
     &   .OR.(I_FIT_TYPE.EQ.IP_ACKERMAN_STEPHENS) ) THEN
         I_POINTER=0
         DO I=1, N_CLOUD_FIT_PARAMETER(I_FIT_TYPE, IP_EXTINCTION)
            I_POINTER=I_POINTER+1
            CLOUD_PARAMETER_LIST(I_POINTER)
     &         =PARAMETER_LOCAL(I, IP_EXTINCTION)
         ENDDO
         DO I=1, N_CLOUD_FIT_PARAMETER(I_FIT_TYPE, IP_SS_ALBEDO)
            I_POINTER=I_POINTER+1
            CLOUD_PARAMETER_LIST(I_POINTER)
     &         =PARAMETER_LOCAL(I, IP_SS_ALBEDO)
         ENDDO
         DO I=1, N_CLOUD_FIT_PARAMETER(I_FIT_TYPE, IP_ASYMMETRY)
            I_POINTER=I_POINTER+1
            CLOUD_PARAMETER_LIST(I_POINTER)
     &         =PARAMETER_LOCAL(I, IP_ASYMMETRY)
         ENDDO
      ENDIF
!
!
      RETURN
      END
